/* $Id: common_subs.h,v 4.5 2006/03/17 15:20:44 phils Exp $ */
/* #ident "@(#)vxfs:$RCSfile: common_subs.h,v $	$Revision: 4.5 $" */
/*
 * $Copyright: Copyright (c) 2009 Symantec Corporation.
 * All rights reserved.
 *
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
 * SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
 * WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
 *
 * The Licensed Software and Documentation are deemed to be commercial
 * computer software as defined in FAR 12.212 and subject to restricted
 * rights as defined in FAR Section 52.227-19 "Commercial Computer
 * Software - Restricted Rights" and DFARS 227.7202, "Rights in
 * Commercial Computer Software or Commercial Computer Software
 * Documentation", as applicable, and any successor regulations. Any use,
 * modification, reproduction release, performance, display or disclosure
 * of the Licensed Software and Documentation by the U.S. Government
 * shall be solely in accordance with the terms of this Agreement.  $
 */

#include <dirent.h>

/* global flag */
#define QUERY 1
#define ENFORCE 2

extern int func_flag;

extern char *gl_data_policy, *gl_meta_policy;

extern int
create_policy(int,
	      char *,
	      char *[],
	      int );

extern int
assign_policy_fs(int,
		 char *,
		 char *);

extern int
assign_policy_file(int,
		   char *,
		   char *,
		   int);

extern int
query_policy(int,
	     char *);

extern int query_file( char *);

extern void
print_dir_contents(char *, struct dirent *,
		   int);

extern void search_dir(char *);

extern int check_volumes(int, char *);

extern int enter_names(char **, char *[], int);
