if [ -d "/opt/VRTSdbms3" ]
then
    DB_INST_DIR="/opt/VRTSdbms3/"
else
    if [ -d "/opt/VRTSdbmsd" ]
    then
        DB_INST_DIR="/opt/VRTSdbmsd/";
    else
        exit 100
    fi
fi


DB_BIN_DIR=$DB_INST_DIR/bin/vcs/db
DB_SERVER_NAME=`cat $DB_INST_DIR/bin/servername`

DB_ALIAS=$1
ODBCINI=$2

DB_LOGIN=DBA
DB_PASS=SQL

. $DB_INST_DIR/vxdbms_env.sh
export ODBCINI

con_str=`$DB_INST_DIR/bin/dbdsn -g $DB_ALIAS -q`;
con_str=`echo $con_str | sed -e 's/.*: //g'`;
con_str=$con_str";UID=$DB_LOGIN;PWD=$DB_PASS";

`dbping -d -c $con_str >/dev/null`;
if [ $? -eq 0 ] ; then
	exit 110;
else
	exit 100
fi
