if [ -d "/opt/VRTSdbms3" ]
then
    DB_INST_DIR="/opt/VRTSdbms3/"
else
    if [ -d "/opt/VRTSdbmsd" ]
    then
        DB_INST_DIR="/opt/VRTSdbmsd/";
    else
        exit 100
    fi
fi


DB_BIN_DIR=$DB_INST_DIR/bin/vcs/db
DB_SERVER_NAME=`cat $DB_INST_DIR/bin/servername`

DB_ALIAS=$1
ODBCINI=$2
DB_LOGIN=DBA
DB_PASS=SQL

sh $DB_INST_DIR/vxdbms_env.sh
export ODBCINI

# see if db is running. If running, stop the db.
perl $DB_BIN_DIR/monitor $DB_INST_DIR $DB_SERVER_NAME $DB_ALIAS $DB_LOGIN $DB_PASS >/dev/null 2>&1
if [ $? = "110" ] ; then
        perl $DB_BIN_DIR/offline $DB_INST_DIR $DB_SERVER_NAME $DB_ALIAS $DB_LOGIN $DB_PASS >/dev/null 2>&1
fi

exit 0
