if [ -d "/opt/VRTSdbms3" ]
then
    DB_INST_DIR="/opt/VRTSdbms3"
else
    if [ -d "/opt/VRTSdbmsd" ]
    then
        DB_INST_DIR="/opt/VRTSdbmsd";
    else
        exit 100
    fi
fi


DB_SRV_BIN_DIR=$DB_INST_DIR/bin/vcs/dbserver
DB_SERVER_NAME=`cat $DB_INST_DIR/bin/servername`

sh $DB_INST_DIR/vxdbms_env.sh

ODBCINI=/etc/vx/VRTScs/.odbc.ini
export ODBCINI


# see if db server is running. If not running, start the db server
perl $DB_SRV_BIN_DIR/monitor $DB_INST_DIR $DB_SERVER_NAME >/dev/null 2>&1
if [ $? = "100" ] ; then
	perl $DB_SRV_BIN_DIR/online $DB_INST_DIR/ $DB_SERVER_NAME >/dev/null 2>&1
fi

# check the db server again
perl $DB_SRV_BIN_DIR/monitor $DB_INST_DIR $DB_SERVER_NAME >/dev/null 2>&1
if [ $? = "100" ] ; then
 	exit 100
fi

exit 0
