#$Id: sendEmail.pl,v 1.6 2006/08/04 10:17:33 adongre Exp $
#$Copyright: Copyright (c) 2009 Symantec Corporation.
#All rights reserved.
#
#THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
#SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
#WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
#The Licensed Software and Documentation are deemed to be commercial
#computer software as defined in FAR 12.212 and subject to restricted
#rights as defined in FAR Section 52.227-19 "Commercial Computer
#Software - Restricted Rights" and DFARS 227.7202, "Rights in
#Commercial Computer Software or Commercial Computer Software
#Documentation", as applicable, and any successor regulations. Any use,
#modification, reproduction release, performance, display or disclosure
#of the Licensed Software and Documentation by the U.S. Government
#shall be solely in accordance with the terms of this Agreement.  $

use Net::SMTP;

$email_template_file=$ARGV[0];

open(FILE,$email_template_file)||die("Could not open file");
while ( <FILE> )
{
    if ( index ( $_, "EMAIL_SERVER") >= 0 )
    {
        @array=split(/=/);
        $email_server = @array[1];
        chop($email_server)
    }
    
    if ( index ( $_, "SENDERS_EMAIL_ADDRESS") >= 0 )
    {
        @array=split(/=/);
        $senders_email_address = @array[1];
        chop($senders_email_address);
    }
    
    if ( index ( $_, "RECEIPIENT_LIST") >= 0 )
    {        
        @array=split(/=/);
        $receipient_list = @array[1];
        chop($receipient_list);
    }
    
    if ( index ( $_, "SUBJECT_OF_EMAIL") >= 0 )
    {    
        @array=split(/=/);
        $subject_of_email = @array[1];
        chop($subject_of_email);
    }
}
close ( FILE );


@receipient_list_array=split(/;/,$receipient_list);
$size = scalar(@receipient_list_array);

for($counter = 0 ; $counter < $size ; $counter++)
{
    $smtp = Net::SMTP->new($email_server);
    if (!$smtp) 
    {
         exit 0;
    }  
    $smtp->mail($senders_email_address);
    
    $smtp->to(@receipient_list_array[$counter]);
    
    
    $smtp->data();
    
    $string_to = "To: ".@receipient_list_array[$counter]."\n";
    $smtp->datasend($string_to);
    
    $string_from = "From: ".$senders_email_address."\n";
    $smtp->datasend($string_from);
    
    $string_subject = "Subject: ".$subject_of_email."\n";
    $smtp->datasend($string_subject);
    $smtp->datasend("\n") ; 
    $do_not_skip = 0;
    
    open(FILE,$email_template_file)||die("Could not open file");
    while ( <FILE> )
    {
        if ( index ( $_, "BODY_OF_EMAIL") >= 0 )
        {
            @array=split(/=/);
            $body_header = @array[1];
            chop ($body_header);
            $string_body_header = $body_header."\n";
            $smtp->datasend($string_body_header);
            $do_not_skip = 1 ;
            next;
            
        }
        if ( $do_not_skip )
        {
            $smtp->datasend($_);
        }
    }
    close ( FILE );
    
    $smtp->dataend();
    $smtp->quit();    
    print "SUCCESS";
}
