if [ -d "/opt/VRTSdbms3" ]
then
    DB_INST_DIR="/opt/VRTSdbms3/"
else
    if [ -d "/opt/VRTSdbmsd" ]
    then
        DB_INST_DIR="/opt/VRTSdbmsd/";
    else
        exit 100
    fi
fi


DB_BIN_DIR=$DB_INST_DIR/bin/vcs/db
DB_SERVER_NAME=`cat $DB_INST_DIR/bin/servername`

DB_NAME=$1
DB_ALIAS=$2
ODBCINI=$3
DB_LOGIN=DBA
DB_PASS=SQL

sh $DB_INST_DIR/vxdbms_env.sh
export ODBCINI

perl $DB_BIN_DIR/monitor $DB_INST_DIR $DB_SERVER_NAME $DB_ALIAS $DB_LOGIN $DB_PASS >/dev/null 2>&1
if [ $? = "100" ] ; then
	perl $DB_BIN_DIR/online $DB_INST_DIR $DB_SERVER_NAME $DB_NAME $DB_LOGIN $DB_PASS >/dev/null 2>&1
fi

exit 0
